Name: gdb
Version: 7.9.1
Release: 6
License: GPL-3.0-or-later
Summary: GNU debugger
Url: https://www.gnu.org/software/gdb

# Needed for makeinfo
BuildRequires: texinfo
BuildRequires: expat-devel
BuildRequires: readline-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel
BuildRequires: ncurses-devel

Source0: https://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.gz
# Source1: README-gdb%{version}-%{release}.ppc.aix
# Source2: aix-demangle.h

Patch0: gdb-%{version}-config_core.patch
Patch1: gdb-%{version}-core.patch
Patch2: gdb-%{version}-xcoffread_symtab.patch
Patch3: gdb-%{version}-mmap.patch
Patch4: gdb-%{version}-xlC-stabs.patch
Patch5: gdb-%{version}-qfuncsect_psymtab.patch
Patch6: gdb-%{version}-core_bmaxdata.patch
Patch7: gdb-%{version}-sysroot.patch
Patch8: gdb-%{version}-internal-error.patch
Patch9: gdb-%{version}-backtrace.patch
Patch10: gdb-%{version}-mem_exahust.patch
Patch11: gdb-%{version}-large_binary_size_limit.patch
Patch12: gdb-%{version}-xlc_cpp-demagle.patch
Patch13: gdb-%{version}-hang_on_binary_sym.patch
Patch14: gdb-%{version}-stack_size.patch
Patch15: gdb-%{version}-sighandler-corrupt-stack.patch
Patch16: gdb-%{version}-traceback_table.patch
Patch17: gdb-%{version}-aix-gcore.patch
Patch18: gdb-%{version}-vector.patch



%description
GNU gdb is the standard GNU program debugger.

%prep
%setup -q

%define _default_patch_fuzz 120
%patch0 -p1 -b .config-core
%patch1 -p1 -b .enable-core
%patch2 -p1 -b .xcoffread
%patch3 -p1 -b .mmap
%patch4 -p1 -b .stabs
%patch5 -p1 -b .qfunc
%patch6 -p1 -b .bmax
%patch7 -p1 -b .sysroot
%patch8 -p1 -b .internal_error
%patch9 -p1 -b .backtrace
%patch10 -p1 -b .mem_exahust
%patch11 -p1 -b .large_binary_size_limit
# %patch12 -p1 -b .xlc_cpp-demagle
%patch13 -p1 -b .hang
%patch14 -p1 -b .stacksize
%patch15 -p1 -b .sighandler_corrupt_stack
%patch16 -p1 -b .traceback_table
%patch17 -p1 -b .gcore
%patch18 -p1 -b .vector
#%patch19 -p1 -b .corrupt_stack

# cp %{SOURCE2} include

%build

%configure \
  CFLAGS="$CFLAGS -pthread" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -pthread" \
%ifarch ppc64
  --host=powerpc64-ibm-aix6.1 \
  --build=powerpc64-ibm-aix6.1 \
%else
  --host=powerpc-ibm-aix6.1 \
  --build=powerpc-ibm-aix6.1 \
%endif
  --with-system-zlib \
  --with-system-readline \
  --with-expat \
  --with-lzma \
  --without-python \
  --without-rpm \
  --without-libunwind \
  --without-tcl \
  --without-tk \
  --without-x \
  --without-guile \
  --without-gnu-as \
  --without-gnu-ld \
%ifarch ppc64
  --enable-64-bit-bfd \
%endif
  --disable-werror \
  --disable-sim \
  --disable-rpath \
  --disable-nls

%make_build

%install

%make_install

rm -r %{buildroot}%{_datadir}/gdb

rm %{buildroot}%{_libdir}/charset.alias
rm %{buildroot}%{_infodir}/dir

rm -r %{buildroot}%{_libdir}
rm -r %{buildroot}%{_includedir}

# shipped in binutils now
rm %{buildroot}%{_infodir}/bfd.info*

%files
%defattr(-, qsys, *none)

%license COPYING3 COPYING3.LIB

%{_bindir}/gdb

# %{_includedir}/ansidecl.h
# %{_includedir}/bfd.h
# %{_includedir}/bfdlink.h
# %{_includedir}/dis-asm.h
# %{_includedir}/gdb/jit-reader.h
# %{_includedir}/plugin-api.h
# %{_includedir}/symcat.h

# %{_libdir}/libbfd.a
# %{_libdir}/libopcodes.a

# %{_datadir}/gdb/syscalls/amd64-linux.xml
# %{_datadir}/gdb/syscalls/arm-linux.xml
# %{_datadir}/gdb/syscalls/gdb-syscalls.dtd
# %{_datadir}/gdb/syscalls/i386-linux.xml
# %{_datadir}/gdb/syscalls/mips-n32-linux.xml
# %{_datadir}/gdb/syscalls/mips-n64-linux.xml
# %{_datadir}/gdb/syscalls/mips-o32-linux.xml
# %{_datadir}/gdb/syscalls/ppc-linux.xml
# %{_datadir}/gdb/syscalls/ppc64-linux.xml
# %{_datadir}/gdb/syscalls/s390-linux.xml
# %{_datadir}/gdb/syscalls/s390x-linux.xml
# %{_datadir}/gdb/syscalls/sparc-linux.xml
# %{_datadir}/gdb/syscalls/sparc64-linux.xml
# %{_datadir}/gdb/system-gdbinit/elinos.py
# %{_datadir}/gdb/system-gdbinit/wrs-linux.py

%{_infodir}/annotate.info*
%{_infodir}/gdb.info*
%{_infodir}/stabs.info*

%{_mandir}/man1/gdb.1*
%{_mandir}/man1/gdbserver.1*
%{_mandir}/man5/gdbinit.5*


%changelog
* Thu Feb 03 2022 Kevin Adler <kadler@us.ibm.com> - 7.9.1
- Don't ship bfd.info, now shipped in bintuils

* Fri Dec 03 2021 Kevin Adler <kadler@us.ibm.com> - 7.9.1
- Build with ncurses

* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 7.9.1
- Use brp-rm-libtool-files

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 7.9.1
- Use generic paths for man and info pages to allow for compression

* Tue Dec 17 2019 Mark Irish <mirish@ibm.com> - 7.9.1
- Use SPDX license identifier

* Tue Nov 06 2018 - Kevin Adler <kadler@us.ibm.com>
- fix unpackaged files

* Tue Nov 06 2018 - Kevin Adler <kadler@us.ibm.com>
- BuildRequires makeinfo

* Tue Nov 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Build with pthread support

* Mon Nov 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Add BuildRequires 
- Add missing file ownership

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove GCC wrapper

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- First commit
